com.independentsoft.exchange

## Class ContactEntity

- java.lang.Object
- - com.independentsoft.exchange.ContactEntity

-     public class ContactEntity
      extends java.lang.Object

  Represents a single phone number entity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactEntity()` Initializes a new instance of the ContactEntity class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAddresses()` Gets a list of addresses.
    `java.lang.String` | `getAssistantPhone()` Gets the telephone number as the assistant's telephone number.
    `java.lang.String` | `getBusinessFax()` Gets the telephone number as a business fax number.
    `java.lang.String` | `getBusinessName()` Gets the name of a business.
    `java.lang.String` | `getBusinessPhone()` Gets the telephone number as a business telephone number.
    `java.lang.String` | `getBusinessPhone2()` Gets the telephone number as a second business telephone number.
    `java.lang.String` | `getCallbackPhone()` Gets the telephone number as a callback number.
    `java.lang.String` | `getCarPhone()` Gets the telephone number as a car telephone number.
    `java.lang.String` | `getCompanyPhone()` Gets the telephone number as the company's telephone number.
    `java.lang.String` | `getDisplayName()` Gets the display name of a contact.
    `java.util.List<java.lang.String>` | `getEmailAddresses()` Gets a list of email addresses.
    `java.lang.String` | `getHomeFax()` Gets the telephone number as a home fax number.
    `java.lang.String` | `getHomePhone()` Gets the telephone number as a home telephone number.
    `java.lang.String` | `getHomePhone2()` Gets the telephone number as a second home telephone number.
    `java.lang.String` | `getIsdn()` Gets the telephone number as an Integrated Services Digital Network (ISDN) line.
    `java.lang.String` | `getMobilePhone()` Gets the telephone number as a mobile phone number.
    `java.lang.String` | `getOtherFax()` Gets the telephone number as another fax number.
    `java.lang.String` | `getOtherPhone()` Gets the telephone number as another telephone number.
    `java.lang.String` | `getPager()` Gets the telephone number as a pager.
    `java.lang.String` | `getPersonName()` Gets the name of an individual.
    `Position` | `getPosition()` Gets the position of the entity.
    `java.lang.String` | `getPrimaryPhone()` Gets the telephone number as the primary telephone number.
    `java.lang.String` | `getRadioPhone()` Gets the telephone number as a radio telephone.
    `java.lang.String` | `getTelex()` Gets the telephone number as a telex telephone number.
    `java.lang.String` | `getTtyTddPhone()` Gets the telephone number as a telex telephone number.
    `java.util.List<java.lang.String>` | `getUrls()` Gets a list of URLs.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactEntity

          public ContactEntity()

      Initializes a new instance of the ContactEntity class.

  - ### Method Detail

    - #### getPosition

          public Position getPosition()

      Gets the position of the entity.
      Returns:
        the position

    - #### getPersonName

          public java.lang.String getPersonName()

      Gets the name of an individual.
      Returns:
        the persona name

    - #### getBusinessName

          public java.lang.String getBusinessName()

      Gets the name of a business.
      Returns:
        the business name

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name of a contact.
      Returns:
        the display name

    - #### getUrls

          public java.util.List<java.lang.String> getUrls()

      Gets a list of URLs.
      Returns:
        the urls

    - #### getEmailAddresses

          public java.util.List<java.lang.String> getEmailAddresses()

      Gets a list of email addresses.
      Returns:
        the email addresses

    - #### getAddresses

          public java.util.List<java.lang.String> getAddresses()

      Gets a list of addresses.
      Returns:
        the addresses

    - #### getAssistantPhone

          public java.lang.String getAssistantPhone()

      Gets the telephone number as the assistant's telephone number.
      Returns:
        the assistant phone

    - #### getBusinessFax

          public java.lang.String getBusinessFax()

      Gets the telephone number as a business fax number.
      Returns:
        the business fax

    - #### getBusinessPhone

          public java.lang.String getBusinessPhone()

      Gets the telephone number as a business telephone number.
      Returns:
        the business phone

    - #### getBusinessPhone2

          public java.lang.String getBusinessPhone2()

      Gets the telephone number as a second business telephone number.
      Returns:
        the business phone2

    - #### getCallbackPhone

          public java.lang.String getCallbackPhone()

      Gets the telephone number as a callback number.
      Returns:
        the callback phone

    - #### getCarPhone

          public java.lang.String getCarPhone()

      Gets the telephone number as a car telephone number.
      Returns:
        the car phone

    - #### getCompanyPhone

          public java.lang.String getCompanyPhone()

      Gets the telephone number as the company's telephone number.
      Returns:
        the company phone

    - #### getHomeFax

          public java.lang.String getHomeFax()

      Gets the telephone number as a home fax number.
      Returns:
        the home fax

    - #### getHomePhone

          public java.lang.String getHomePhone()

      Gets the telephone number as a home telephone number.
      Returns:
        the home phone

    - #### getHomePhone2

          public java.lang.String getHomePhone2()

      Gets the telephone number as a second home telephone number.
      Returns:
        the home phone2

    - #### getIsdn

          public java.lang.String getIsdn()

      Gets the telephone number as an Integrated Services Digital Network (ISDN) line.
      Returns:
        the isdn

    - #### getMobilePhone

          public java.lang.String getMobilePhone()

      Gets the telephone number as a mobile phone number.
      Returns:
        the mobile phone

    - #### getOtherFax

          public java.lang.String getOtherFax()

      Gets the telephone number as another fax number.
      Returns:
        the other fax

    - #### getOtherPhone

          public java.lang.String getOtherPhone()

      Gets the telephone number as another telephone number.
      Returns:
        the other phone

    - #### getPager

          public java.lang.String getPager()

      Gets the telephone number as a pager.
      Returns:
        the pager

    - #### getPrimaryPhone

          public java.lang.String getPrimaryPhone()

      Gets the telephone number as the primary telephone number.
      Returns:
        the primary phone

    - #### getRadioPhone

          public java.lang.String getRadioPhone()

      Gets the telephone number as a radio telephone.
      Returns:
        the radio phone

    - #### getTelex

          public java.lang.String getTelex()

      Gets the telephone number as a telex telephone number.
      Returns:
        the telex

    - #### getTtyTddPhone

          public java.lang.String getTtyTddPhone()

      Gets the telephone number as a telex telephone number.
      Returns:
        the tty tdd phone